using PTMedicalInsurance.Common;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity.Base
{
    class MedInsuDirectory
    {
        /// 该表为医保目录表，统一从该表取值，其他表转换入该表
        /// 医院编号 指向医院表

        [DisplayName("医院编号")]
        public string HospitalDr { get; set; }


       [DisplayName("接口编号")]
        public string InterfaceDr { get; set; }


        [DisplayName("医保编码")]
        public string Code { get; set; }

        [DisplayName("医保名称")]
        public string Name { get; set; }

        /// 医院目录类型  HisType 1.药品 2.诊疗3.材料4.疾病诊断5.手术6.慢性病7.DRGs8.日间手术 9.待定
        /// 10. 中药饮片 11.医疗机构制剂 12.民族药品 13.肿瘤形态学 14.中医疾病目录 15 中医证候目录
        [DisplayName("目录类型")]
        public string HisType { get; set; }

        [DisplayName("目录类型名称")]
        public string HisTypeName { get; set; }

        [DisplayName("医保本地编码")]
        public string LocateCode { get; set; }

        [DisplayName("医保本地名称")]
        public string LocateName { get; set; }

        [DisplayName("本位码")]
        public string DrugSafetyStandardCode { get; set; }

        [DisplayName("剂型编码")]
        public string DosageFormCode { get; set; }

        [DisplayName("剂型名称")]
        public string DosageFormName { get; set; }

        [DisplayName("类别编码")]
        /// 基线版：101	西药中成药	102	重要饮片103	自制剂	104	民族药201	医疗服务项目	301	医用耗材
        public string CategoryCode { get; set; }

        [DisplayName("类别名称")]
        public string CategoryName { get; set; }

        [DisplayName("规格")]
        public string Specification { get; set; }

        [DisplayName("规格代码")]
        public string SpecificationCode { get; set; }

        [DisplayName("包装单位")]
        public string UnitOfPackag { get; set; }

        [DisplayName("计价单位")]
        public string UnitOfValuation { get; set; }

        [DisplayName("开始日期")]
        public string StartDate { get; set; }

        [DisplayName("结束日期")]
        public string EndDate { get; set; }

        [DisplayName("拼音助记码")]
        public string PinyinSearchCode { get; set; }

        [DisplayName("说明")]
        public string Instructions { get; set; }

        [DisplayName("除外内容")]
        public string ExceptContent { get; set; }

        [DisplayName("项目内涵")]
        public string Connotation { get; set; }

        private string validFlag;
        [DisplayName("有效标志")]
        public string ValidFlag {
            get
            {
                if (validFlag == null) validFlag = "1";
                return validFlag;
            }
            set
            {
                validFlag = value;
            }
        }

        [DisplayName("备注")]
        public string Note { get; set; }

        [DisplayName("批准文号")]
        public string ApprovalNO { get; set; }

        [DisplayName("版本号")]
        public string VersionNO { get; set; }

        [DisplayName("版本名称")]
        public string VersionName { get; set; }

        private string useFlag;
        [DisplayName("使用标志")]
        public string UseFlag {
            get
            {
                if (useFlag == null) useFlag = "1";
                return useFlag;
            }
            set
            {
                useFlag = value;
            }
        }

        private string specialFlag;
        [DisplayName("特殊药品标志")]
        public string SpecialFlag {
            get
            {
                if (specialFlag == null) specialFlag = "0";
                return specialFlag;
            }
            set
            {
                specialFlag = value;
            }
        }

        private string limitFlag;
        [DisplayName("限制标志")]
        public string LimitFlag {
            get {
                if (limitFlag == null) limitFlag = "0";
                return limitFlag;
            }
            set
            {
                limitFlag = value;
            }
        }

        [DisplayName("限制范围")]
        public string LimitRange { get; set; }

        [DisplayName("唯一记录号")]
        public string UniqueRecordNO { get; set; }
        [DisplayName("厂家")]
        public string Manufacturers { get; set; }

        [DisplayName("国家项目编码")]
        public string NationalCode { get; set; }

        [DisplayName("国家项目名称")]
        public string NationalName { get; set; }

        [DisplayName("更新时间")]
        public string UpdateTime { get; set; }

        [DisplayName("收费项目等级")]
        /// 01	甲类	02	乙类	03	自费	
        public string ChargeItemLevel { get; set; }

        [DisplayName("收费项目等级名称")]
        /// 01	甲类	02	乙类	03	自费
        public string ChargeItemLevelName { get; set; }

        [DisplayName("自付比例")]
        public string SelfPercent { get; set; }

        [DisplayName("医疗收费项目类别")]
        /// 基线版：01	床位费	08	卫生材料费02	诊察费	09	西药费03	检查费	10	中药饮片费
        /// 04	化验费	11	中成药费05	治疗费	12	一般诊疗费06	手术费	13	挂号费07	护理费	14	其他费
        public string ChargeItemType { get; set; }

        [DisplayName("收费标准")]
        public string ChargeStandards { get; set; }

        [DisplayName("最高限价")]
        public string CeilingPrice { get; set; }

        [DisplayName("包装材质")]
        public string PackagingMaterial { get; set; }

        [DisplayName("最小包装数量")]
        public string MinPackagingQuantity { get; set; }

        [DisplayName("最小制剂单位")]
        public string MinDosageUnit { get; set; }

        [DisplayName("最小包装单位")]
        public string MinPackagingUnit { get; set; }

        [DisplayName("累计增负标志")]
        public string CumulativeNegativeBurdenFlag { get; set; }
    }
}
